
%global meadversion 7.5.22
%global namedversion 7.5.22.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 2

%global fullreltag %{meadalpha}
%global prodversion 6.4

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

# Build with signed jars when set
%bcond_with signedjars

%define base_name jbossas
# jbhomedir is /usr/share/jbossas  (files must be immutable)
%define jbhomedir %{_datadir}/%{base_name}
# jbossdir is /var/lib/jbossas  (any mutable files must go here)
%define jbossdir %{_localstatedir}/lib/%{base_name}
# jbosslogdir is /var/log/jbossas  (any logs must go here)
%define jbosslogdir %{_localstatedir}/log/%{base_name}
# jbosstmpdir is /var/cache/jbossas (Application cache data)
%define jbosstmpdir %{_localstatedir}/cache/%{base_name}

%define maven_version 7.5.22-1.Final_redhat_1.1.ep6.el6

Name: jbossas-core
Version: %{meadversion}
Release: %{serial}%{meadalpha}%{meadrel}%{?dist}
Summary:          EAP 6 AS Core
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-as
Group:            Development/Libraries

%if %with mead
Source102: jbossas-core-7.5.22.Final-redhat-1.zip
Source103: jbossas-core-7.5.22.Final-redhat-1.pom
%endif


BuildRequires:    jpackage-utils
BuildRequires:    jboss-modules
BuildRequires:    jboss-as-client-all
BuildRequires:    jboss-as-cli

Requires:         jpackage-utils
Requires:         java >= 1:1.6.0
Requires:         jboss-modules
Requires:         jboss-as-client-all
Requires:         jboss-as-cli
# virtual provides, e.g. jbossas-product-eap
Requires:         jbossas-product
# virtual provides, e.g. jbossas-modules-eap
Requires:         jbossas-modules
# virtual provides, e.g. jbossas-welcome-content-eap
Requires:         jbossas-welcome-content
# virtual provides, e.g. jbossas-standalone or jbossas-domain
Requires:         jbossas-configuration

Requires(pre):    shadow-utils

BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

%description
EAP AS 6 Core, required in any configuration.

%prep
unzip %{_sourcedir}/%{name}-%{namedversion}.zip \
      jboss-eap-%{prodversion}/bin/* \
      jboss-eap-%{prodversion}/docs/schema/* \
      jboss-eap-%{prodversion}/docs/licenses/* \
      jboss-eap-%{prodversion}/docs/examples/configs/* \
      jboss-eap-%{prodversion}/JBossEULA.txt \
      jboss-eap-%{prodversion}/LICENSE.txt \
      jboss-eap-%{prodversion}/version.txt

# We did this cleaning in jboss-aggregator already
%if 0
pushd jboss-eap-%{prodversion}
# Some things go in their own packages
%{__rm} bin/appclient*
%{__rm} bin/domain*
%{__rm} bin/standalone*
%{__rm} bin/product.conf

# We symlink jboss-client.jar
%{__rm} bin/client/jboss-client.jar
# We symlink jboss-cli-client.jar
%{__rm} bin/client/jboss-cli-client.jar

# This is for Linux, so remove .bat scripts
find bin -type f -name '*.bat' | xargs -t %{__rm}

# The init scripts go with each configuration package
%{__rm} -r bin/init.d
popd
%endif

%build
                                                                                                     
%install
%{__rm} -rf $RPM_BUILD_ROOT

pushd jboss-eap-%{prodversion}

# Create directories that will be filled by other jbossas-* packages
# and own them here
# Variable files go there
# Permissions removed for JBPAPP-9593
install -d -m 750 $RPM_BUILD_ROOT%{jbossdir}
# Log files go there
# BZ#901270 - remove world read access from log directory
install -d -m 750 $RPM_BUILD_ROOT%{jbosslogdir}
# Application data files go there
# Premissions removed for BZ#900891
install -d -m 750 $RPM_BUILD_ROOT%{jbosstmpdir}
# Config files go there
# Permissions removed for JBPAPP-9593
install -d -m 750 $RPM_BUILD_ROOT%{_sysconfdir}/%{base_name}
# Docs go here
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{base_name}-%{version}

# Now install core files

# Directory for immutable files
# Links to variable file and config file locations make it appear
# like a full JBOSS_HOME tree
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}

# EULA & LICENSE & version
install -p -m 644 JBossEULA.txt $RPM_BUILD_ROOT%{jbhomedir}
install -p -m 644 LICENSE.txt $RPM_BUILD_ROOT%{jbhomedir}
install -p -m 644 version.txt $RPM_BUILD_ROOT%{jbhomedir}

# bin dir scripts
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/bin
%{__cp} -pr bin/* $RPM_BUILD_ROOT%{jbhomedir}/bin

# schemas
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/docs
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/docs/schema
%{__cp} -pr docs/schema/*.xsd $RPM_BUILD_ROOT%{jbhomedir}/docs/schema
%{__cp} -pr docs/schema/*.dtd $RPM_BUILD_ROOT%{jbhomedir}/docs/schema

# licenses
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/docs
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/docs/licenses
%{__cp} -pr docs/licenses/* $RPM_BUILD_ROOT%{jbhomedir}/docs/licenses

# Example of configs
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/docs/examples
install -d -m 755 $RPM_BUILD_ROOT%{jbhomedir}/docs/examples/configs
%{__cp} -pr docs/examples/configs/*.xml \
            $RPM_BUILD_ROOT%{jbhomedir}/docs/examples/configs

# On RHEL-6 the signed JARs are on a different place
%if %with signedjars
export JPP_SIGNED=2
%endif

# The modules JAR that loads the rest
%{__ln_s} `build-classpath jboss-modules` \
          $RPM_BUILD_ROOT%{jbhomedir}/jboss-modules.jar

# The ubber client JAR
%{__ln_s} `build-classpath jbossas/jboss-as-client-all` \
          $RPM_BUILD_ROOT%{jbhomedir}/bin/client/jboss-client.jar

# The cli client JAR
%{__ln_s} `build-classpath jbossas/jboss-as-cli-client` \
          $RPM_BUILD_ROOT%{jbhomedir}/bin/client/jboss-cli-client.jar

popd
                                                                                                     
%pre
%if 0%{?rhel} >= 6
getent group jboss >/dev/null || groupadd -f -g 185 -r jboss
if ! getent passwd jboss >/dev/null ; then
    if ! getent passwd 185 >/dev/null ; then
      useradd -r -u 185 -g jboss -d %{jbossdir} -s /sbin/nologin -c "JBoss" jboss
    else
      useradd -r -g jboss -d %{jbossdir} -s /sbin/nologin -c "JBoss" jboss
    fi
fi
exit 0
%else
getent group jboss >/dev/null || groupadd -r jboss
getent passwd jboss >/dev/null || \
    useradd -r -g jboss -d %{jbossdir} -s /sbin/nologin \
    -c "JBoss" jboss
exit 0
%endif

%clean
                                                                                                     
%files
%defattr(0644,jboss,jboss,0755)
%dir %{jbhomedir}
%doc %{jbhomedir}/JBossEULA.txt
%doc %{jbhomedir}/LICENSE.txt
%doc %{jbhomedir}/version.txt
%{jbhomedir}/jboss-modules.jar
%dir %{jbhomedir}/bin
%dir %{jbhomedir}/bin/client
%doc %{jbhomedir}/bin/client/README-CLI-JCONSOLE.txt
%doc %{jbhomedir}/bin/client/README-EJB-JMS.txt
%{jbhomedir}/bin/client/jboss-client.jar
%{jbhomedir}/bin/client/jboss-cli-client.jar
%{jbhomedir}/bin/jboss-cli-logging.properties
#%%{jbhomedir}/bin/JBossPublicKey.RSA
%config(noreplace) %{jbhomedir}/bin/jboss-cli.xml
# FIXME List files when GA to catch any changes
%attr(0755,jboss,jboss) %{jbhomedir}/bin/*.sh
%attr(0644,jboss,jboss) %{jbhomedir}/bin/add-user.properties
#%%attr(0755,jboss,jboss) %{jbhomedir}/bin/jdr.sh
#%%attr(0755,jboss,jboss) %{jbhomedir}/bin/vault.sh
%dir %{jbhomedir}/docs
%dir %{jbhomedir}/docs/schema
%dir %{jbhomedir}/docs/licenses
%{jbhomedir}/docs/licenses/*
# FIXME List files when GA to catch any changes
%{jbhomedir}/docs/schema/*.xsd
%{jbhomedir}/docs/schema/*.dtd
%dir %{jbhomedir}/docs/examples
%dir %{jbhomedir}/docs/examples/configs
# FIXME List files when GA to catch any changes
%{jbhomedir}/docs/examples/configs/*xml
# Documentation files go here
# Use of %%doc would scater docs around as we have many packages for the AS
%dir %{_docdir}/%{base_name}-%{version}
%if 1
# Note the %%defattr if you put anything past this line
%defattr(0644,jboss,jboss,0750)
# Variable files will go here
# Permissions removed for JBPAPP-9593
%dir %{jbossdir}
# Config files will go here
# Permissions removed for JBPAPP-9593
%dir %{_sysconfdir}/%{base_name}
# Application data files go there
# Premissions removed for BZ#900891
%dir %{jbosstmpdir}
# Log files will go here
# BZ#901270 - remove world read access from log directory
%dir %{jbosslogdir}
%else
# Variable files will go here
# Permissions removed for JBPAPP-9593
%attr(0750,jboss,jboss) %dir %{jbossdir}
# Log files will go here
%dir %{jbosslogdir}
# Config files will go here
# Permissions removed for JBPAPP-9593
%attr(0750,jboss,jboss) %dir %{_sysconfdir}/%{base_name}
# Application data files go there
# Premissions removed for BZ#900891
%attr(0750,jboss,jboss) %dir %{jbosstmpdir}
# Log files will go here
# BZ#901270 - remove world read access from log directory
%attr(0750,jboss,jboss) %dir %{jbosslogdir}
%endif

%changelog
* Thu Apr 18 2019 Neil Wallace <nwallace@redhat.com> - 7.5.22-2.Final_redhat_1.1
- EAP 6.4.22 CR1 again

* Tue Apr 16 2019 Neil Wallace <nwallace@redhat.com> - 7.5.22-1.Final_redhat_1.1
- EAP 6.4.22 CR1

* Wed Sep 05 2018 Neil Wallace <nwallace@redhat.com> - 7.5.21-2.Final_redhat_1.1
- EAP 6.4.21 CR1

* Wed Sep 05 2018 Neil Wallace <nwallace@redhat.com> - 7.5.21-1.Final_redhat_1.1
- EAP 6.4.21 CR1

* Thu Apr 19 2018 Neil Wallace <nwallace@redhat.com> - 7.5.20-1.Final_redhat_1.1
- EAP 6.4.20 CR1

* Mon Jan 15 2018 Neil Wallace <nwallace@redhat.com> - 7.5.19-2.Final_redhat_2.1
- EAP 6.4.19 CR2

* Thu Dec 14 2017 Neil Wallace <nwallace@redhat.com> - 7.5.19-1.Final_redhat_1.1
- EAP 6.4.19 CR1

* Fri Oct 20 2017 Neil Wallace <nwallace@redhat.com> - 7.5.18-1.Final_redhat_1.1
- EAP 6.4.18 CR1

* Mon Aug 14 2017 Neil Wallace <nwallace@redhat.com> - 7.5.17-2.Final_redhat_4.1
- EAP 6.4.17 CR4

* Tue Aug 01 2017 Neil Wallace <nwallace@redhat.com> - 7.5.17-1.Final_redhat_3.1
- EAP 6.4.17 CR3

* Tue Jun 06 2017 Neil Wallace <nwallace@redhat.com> - 7.5.16-1.Final_redhat_1.1
- EAP 6.4.16 CR1

* Wed May 03 2017 Neil Wallace <nwallace@redhat.com> - 7.5.15-1.Final_redhat_3.1
- EAP 6.4.15 CR3

* Fri Mar 10 2017 Neil Wallace <nwallace@redhat.com> - 7.5.14-2.Final_redhat_2.1
- EAP 6.4.14 CR2

* Tue Feb 21 2017 Neil Wallace <nwallace@redhat.com> - 7.5.14-1.Final_redhat_1.1
- EAP 6.4.14 CR1

* Tue Jan 17 2017 Neil Wallace <nwallace@redhat.com> - 7.5.13-2.Final_redhat_2.1
- EAP 6.4.13 CR2

* Thu Jan 05 2017 Neil Wallace <nwallace@redhat.com> - 7.5.13-1.Final_redhat_1.1
- EAP 6.4.13 CR1

* Thu Nov 10 2016 Neil Wallace <nwallace@redhat.com> - 7.5.12-1.Final_redhat_1.1
- EAP 6.4.12 CR1

* Wed Sep 28 2016 Neil Wallace <nwallace@redhat.com> - 7.5.11-1.Final_redhat_1.1
- EAP 6.4.11 CR1

* Mon Aug 22 2016 Neil Wallace <nwallace@redhat.com> - 7.5.10-2.Final_redhat_2.1
- EAP 6.4.10 CR2

* Mon Aug 22 2016 Neil Wallace <nwallace@redhat.com> - 7.5.10-1.Final_redhat_1.2
- EAP 6.4.10 CR2

* Wed Jun 29 2016 Neil Wallace <nwallace@redhat.com> - 7.5.9-2.Final_redhat_2.1
- EAP 6.4.9 CR2

* Mon Jun 20 2016 Neil Wallace <nwallace@redhat.com> - 7.5.9-1.Final_redhat_1.1
- EAP 6.4.9 CR1

* Sun May 01 2016 Neil Wallace <nwallace@redhat.com> - 7.5.8-1.Final_redhat_2.1
- EAP 6.4.8 CR2

* Tue Mar 15 2016 Neil Wallace <nwallace@redhat.com> - 7.5.7-2.Final_redhat_3.1
- EAP 6.4.7 CR3

* Fri Feb 26 2016 Neil Wallace <nwallace@redhat.com> - 7.5.7-1.Final_redhat_2.1
- EAP 6.4.7 CR2

* Thu Jan 14 2016 Neil Wallace <nwallace@redhat.com> - 7.5.6-1.Final_redhat_2.1
- EAP 6.4.6 CR2

* Thu Nov 19 2015 Neil Wallace <nwallace@redhat.com> - 7.5.5-2.Final_redhat_3.1
- EAP 6.4.5 CR3

* Thu Nov 12 2015 Neil Wallace <nwallace@redhat.com> - 7.5.5-1.Final_redhat_2.1
- EAP 6.4.5 CR2

* Fri Oct 02 2015 Neil Wallace <nwallace@redhat.com> - 7.5.4-2.Final_redhat_4.1
- EAP 6.4.4 CR4

* Tue Sep 22 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.4-1.Final_redhat_3.1
- EAP 6.4.4 CR3

* Wed Aug 05 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.3-1.Final_redhat_2.1
- EAP 6.4.3 CR2

* Mon Jun 29 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.2-2.Final_redhat_2.1
- EAP 6.4.2 CR2

* Thu Jun 18 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.2-1.Final_redhat_1.1
- EAP 6.4.2 CR1

* Tue May 26 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-5.Final_redhat_3.1
- EAP 6.4.1 CR3

* Tue May 26 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-2.Final_redhat_2.1
- EAP 6.4.1 CR3

* Thu May 07 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.1-1.Final_redhat_2.1
- EAP 6.4.1 CR2

* Fri Mar 27 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-11.Final_redhat_21.1
- EAP 6.4.0 CR2

* Thu Mar 12 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-10.Final_redhat_20.1
- EAP 6.4.0 CR1

* Tue Mar 03 2015 David Walluck <dwalluck@redhat.com> - 7.5.0-9.Final_redhat_19.1
- fall back to dynamic user and group allocation for RHEL 5 and under

* Tue Mar 03 2015 David Walluck <dwalluck@redhat.com> - 7.5.0-8.Final_redhat_19.1
- use soft static allocation for user and group

* Wed Feb 25 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-7.Final_redhat_19.1
- EAP 6.4.0 ER3

* Fri Feb 06 2015 Hui Wang <huwang@redhat.com> - 7.5.0-6.Final_redhat_18.1
- EAP 6.4.0 ER2

* Thu Jan 08 2015 Fernando Nasser <fnasser@redhat.com> - 7.5.0-5.Final_redhat_17.1
-

* Thu Dec 11 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-4.Final_redhat_15.2
-

* Wed Dec 10 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-3.Final_redhat_15.1
-

* Tue Nov 18 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-2.Final_redhat_12.1
-

* Thu Sep 25 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-1.Final_redhat_3.1
- Updated AS minor version

* Thu Sep 25 2014 Fernando Nasser <fnasser@redhat.com> - 7.5.0-1.Final_redhat_3.1
- EAP 6.4.0 DR3

* Tue Sep 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.1-2.Final_redhat_3.1
- EAP 6.3.1 CR2

* Wed Aug 27 2014 Permaine Cheung <pcheung@redhat.com> - 7.4.1-1.Final_redhat_2.1
- EAP 6.3.1 CR1

* Fri Jul 11 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-16.Final_redhat_19.1
- EAP 6.3.0 ER10

* Fri Jul 04 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-15.Final_redhat_18.3
- EAP 6.3.0 ER9

* Wed Jun 18 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-14.Final_redhat_17.1
- EAP 6.3.0 ER8

* Thu Jun 05 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-13.Final_redhat_15.1
- EAP 6.3.0 ER7

* Wed Jun 04 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-12.Final_redhat_14.1
- EAP 6.3.0 ER6

* Wed May 21 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-11.Final_redhat_13.2
- EAP 6.3.0 ER5 commitId fix

* Tue May 20 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-10.Final_redhat_13.1
- EAP 6.3.0 ER5

* Fri May 09 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-9.Final_redhat_12.1
- Let versions of dependencies be defined elsewhere

* Wed May 07 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-8.Final_redhat_12.1
- EAP 6.3.0 ER4

* Wed May 07 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-8.Final_redhat_12.1
- EAP 6.3.0 ER4

* Thu Apr 17 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-7.Final_redhat_10.1
- EAP 6.3.0 ER2 respin

* Tue Apr 15 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-6.Final_redhat_9.1
- EAP 6.3.0 ER2

* Thu Apr 03 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-5.Final_redhat_8.1
- EAP 6.3.0 ER1 new commitId

* Wed Apr 02 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-4.Final_redhat_7.3
- Rewrap build from right ER1 source URL

* Wed Apr 02 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-3.Final_redhat_7.1
- Wrap right ER1 tag

* Wed Apr 02 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-2.Final_redhat_7.1
- EAP 6.3.0 ER1

* Fri Mar 28 2014 Fernando Nasser <fnasser@redhat.com> - 7.4.0-x.Final_redhat_61.1
- EAP 6.3.0 ER1

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Thu Nov 21 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-7.Final_redhat_14.1
- Rebuild for 6.2.CR3

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Mon Nov 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-6.Final_redhat_13.1
- Rebuild for 6.2.CR2

* Wed Oct 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-5.Final_redhat_10.1
- EAP 6.2.0 ER7

* Fri Oct 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_9.2
- EAP 6.2.0 ER6

* Wed Oct 16 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-4.Final_redhat_6.1
- BZ#901270 - remove world read access from log directory

* Wed Oct 02 2013 Permaine Cheung <pcheung@redhat.com> - 7.3.0-3.Final_redhat_6.1
- Add version.txt for BZ#927940

* Tue Sep 24 2013 Fernando Nasser <fnasser@redhat.com> - 7.3.0-2.Final_redhat_6.1
- EAP 6.2.0 ER3

* Wed Aug 21 2013 Permaine Cheung <pcheung@redhat.com> - 7.2.1-7.Final_redhat_10
- EAP 6.1.1 ER7

* Tue Aug 13 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-4.Final_redhat_8
- EAP 6.1.1 ER5

* Tue Jul 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-3.Final_redhat_5
- EAP 6.1.1 ER4

* Thu Jul 18 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-2.Final_redhat_4.1
- Update dependency versions

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.1-1.Final_redhat_4.1
- EAP 6.1.1 ER3

* Thu May 09 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-8.Final_redhat_8
- EAP 6.1.0 ER8

* Wed May 08 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-7.Final_redhat_7
- EAP 6.1.0 ER7

* Tue Apr 30 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-6.Final_redhat_6
- EAP 6.1.0 ER6

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 17 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-5.Final_redhat_5
- EAP 6.1.0 ER5

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4.1
- BZ#900891 - Change permissions and ownership of /var/cache/jbossas

* Tue Apr 02 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-4.Final_redhat_4
- EAP 6.1.0 ER4

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_3
- EAP 6.1.0 ER3

* Tue Mar 05 2013 Fernando Nasser <fnasser@redhat.com> - 7.2.0-3.Final_redhat_2
- EAP 6.1.0 ER2
- Add jboss-cli-client JAR to client dir

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Thu Nov 22 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-4.Final_redhat_4
- EAP 6.0.1 ER4

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.1.1.Final_redhat_3
- Rebuild for hibernate pom fix

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.1.Final_redhat_3
- EAP 6.0.1 ER3

* Fri Oct 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-3.1.Final_redhat_3
- EAP 6.0.1 ER3

* Tue Oct 16 2012 David Walluck <dwalluck@redhat.com> 7.1.3-3
- use %%defattr for dir perms (for JBPAPP-9593)
- remove build root in %%install
- change source tarball to %%{SOURCE102}
- clean tree as this apparently is not done beforehand as the comment indicates

* Sat Sep 29 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.3.Final_redhat_2
- Add AS sources to SRPM

* Fri Sep 28 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.2.Final_redhat_2
- Use smaller ZIP as source

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2.1
- Rebuild for MD5

* Mon Sep 17 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-2.Final_redhat_2
- EAP 6.0.1 ER2

* Fri Sep 14 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-1.1.Final_redhat_1.1
- Permissions removed for JBPAPP-9593

* Fri Sep 07 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-1.Final_redhat_1.1
- Specify min version of jboss-modules

* Wed Sep 05 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.3-1.Final_redhat_1
- EAP 6.0.1 ER1

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.1.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Mon Jul 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-11.Final_redhat_1
- Rebuild of 6.0.0.GA unsigned

* Tue May 29 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-7.Final_redhat_1
- Rebuild linking to unsigned JARs

* Tue May 29 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-6.Final_redhat_1
- CR1 build

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-5.Final_redhat_1
- Rebuild linking to unsigned JARs

* Thu May 24 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-4.Final_redhat_1
- ER9 build

* Tue May 15 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-3.Final_redhat_1
- Rebuild linking to unsigned JARs

* Tue May 15 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-2.Final_redhat_1
- ER8 build

* Thu May 10 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.2-1.Final
- Upgrade to 7.1.2.Final
- Add the AS sources to this package SRPM (convention)
- This build with signed jars so MD5 can be tested (rebuild unsigned after)

* Thu Apr 19 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-3.Final
- Rebuild with apache-commons-*-eap6 and some other packages rebuilt w/ fixes

* Wed Apr 11 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-2.Final
- Rebuild with -eap6 and some other package fixes

* Fri Mar 30 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.1-1.Final.1
- Upgrade to 7.1.1.Final+ (ER4.1)

* Wed Mar 21 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final.3
- Remove product.conf which is now in a separate package
- Require the virtual jbossas-product

* Thu Mar 15 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final.2
- Add new files (licenses and .dtd's)

* Wed Mar 14 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final.1
- Use jboss-as-client-all package for jboss-client.jar

* Wed Mar 14 2012 Fernando Nasser <fnasser@redhat.com> - 7.1.0-1.Final
- Upgrade to ER3

* Thu Feb 23 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.5
- Create directory for logs

* Thu Feb 16 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.4
- Add LICENSE file

* Fri Feb 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.3
- Fix run-time dependencies

* Tue Jan 24 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.2
- Fix useradd

* Thu Jan 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-0.1.CR1.1
- Wrap MEAD build for EAP 6
